<?php
require_once('../clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', '../clases/xajax/');
$xajax->setCharEncoding("ISO-8859-1");

function xExportar($varForm) {
	$varEmp = (isset($varForm["ecod"]) && $varForm["ecod"]<>'')? $varForm["ecod"]:"NULL";
	$varVen = (isset($varForm["vcod"]) && $varForm["vcod"]<>'')? $varForm["vcod"]:"NULL";
	$varCli = (isset($varForm["ccod"]) && $varForm["ccod"]<>'')? $varForm["ccod"]:"NULL";
	$varRut = (isset($varForm["rcod"]) && $varForm["rcod"]<>'')? $varForm["rcod"]:"NULL";
	$varIni = (isset($varForm["fini"]) && $varForm["fini"]<>'')? "'".FechaMySql($varForm["fini"])."'":"NULL";
	$varFin = (isset($varForm["ffin"]) && $varForm["ffin"]<>'')? "'".FechaMySql($varForm["ffin"])."'":"NULL";
	$varUsr = (isset($_SESSION["_CUSE"]))?$_SESSION["_CUSE"]:1;
	$varFie = (isset($varField) && $varField<>'')? "'$varField'":"NULL";
	$varOrd = (isset($varOrder) && $varOrder<>'')? "'$varOrder'":"NULL";		
	$sql = "call spQuery_Registro_Pedidos_Cambios($varEmp, $varVen, $varCli, $varRut, $varIni, $varFin, '$varForm[est]', $varFie, $varOrd);";
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = (isset($varForm["titu"]))?$varForm["titu"]:"Reporte";	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("../export.php?page=$varTitulo");
    return $objResponse;
	}

function xBuscar($varForm, $varField, $varOrder) {
	$var = VarServer("MYSQLI");
	$obj = new clsRegistroCambios($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDatos($varForm, $varField, $varOrder);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", $varTabla);
	$varMarcar="ResaltarSeleccionado()";
	$respuestaXajax->script($varMarcar); 
	return $respuestaXajax;
	}

function xFormuRegistro($varOpt, $varCod) {
	$var = VarServer("MYSQLI");
	$obj = new clsRegistroCambios($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla = $obj->FormuRegistro($varOpt, $varCod);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "innerHTML", $varTabla);
	return $respuestaXajax;
	}

function xFormuDetalle($varCod) {
	$var = VarServer("MYSQLI");
	$obj = new clsRegistroCambios($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla = $obj->FormuDetalle($varCod);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "innerHTML", $varTabla);
	return $respuestaXajax;
	}
	
function xRegresar() {
	$var = VarServer("MYSQLI");
	$obj = new clsRegistroCambios($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla.= $obj->FormuBusqueda();
	$varTabla.= "<div id=\"divDatos\">";
	//$varTabla.= $obj->GridDatos();		
	$varTabla.= "</div>";
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "innerHTML", $varTabla);
	$varFecha = '$(document).ready(function() {
					function startChange() {
						var startDate = fini.value();
				
						if (startDate) {
							startDate = new Date(startDate);
							startDate.setDate(startDate.getDate() + 0);
							ffin.min(startDate);
						}
					}
				
					function endChange() {
						var endDate = ffin.value();
				
						if (endDate) {
							endDate = new Date(endDate);
							endDate.setDate(endDate.getDate() - 0);
							fini.max(endDate);
						}
					}
				
					var fini = $("#fini").kendoDatePicker({
						change: startChange,
						format: "dd/MM/yyyy"
					}).data("kendoDatePicker");
				
					var ffin = $("#ffin").kendoDatePicker({
						change: endChange,
						format: "dd/MM/yyyy"
					}).data("kendoDatePicker");
				
					fini.max(ffin.value());
					ffin.min(fini.value());
					});
				';
	$respuestaXajax->script($varFecha);
	return $respuestaXajax;
	}
	
function xGrabar($varForm) {
	$varEmp = $varForm["emp1"];
	$varAge = $varForm["age1"];
	$varAlm = $varForm["alm1"];
	$varVen = $varForm["vcod1"];
	$varNom = $varForm["vnom"];
	$varUsr = (isset($_SESSION["_CUSE"]))  ? $_SESSION["_CUSE"] : "1";
	$var = VarServer("MYSQLI");
	$obj = new clsRegistroCambios($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varResul = $obj->ProcesoGrabar($varForm);
	$respuestaXajax = new xajaxResponse();
	if ($varResul[0]=="OK") {
		$sqlalm = "call spQuery_Lista_Almacen($varEmp, NULL, NULL, $varUsr);";	
		$sqlage = "call spQuery_Lista_Agencia($varUsr, $varEmp, NULL, NULL);";
		$varComAlm = $obj->SetCombo("alm", $sqlalm, $varAlm, 327, NULL, "--[[SELECCIONAR]]--");
		$varComAge = $obj->SetCombo("age", $sqlage, $varAge, 327, "xajax_ComboListaAlmacenAge($varEmp, this.value, $varUsr)", "--[[SELECCIONAR]]--");
		
		$varTabla = $obj->FormuRegistro($varOpt, $varCod);
		
		$respuestaXajax = new xajaxResponse();
		$respuestaXajax->assign("divForm", "innerHTML", $varTabla);
		$respuestaXajax->assign("emp", "value", $varEmp);
		$respuestaXajax->assign("divAge", "innerHTML", $varComAge);
		$respuestaXajax->assign("divAlm", "innerHTML", $varComAlm);
		$respuestaXajax->assign("vcod", "value", $varVen);
		$respuestaXajax->assign("vnom", "value", $varNom);
	
		$respuestaXajax->alert("PEDIDO REGISTRADO CORRECTAMENTE\nNro. PEDIDO\t\t ".$varResul[1]);
		return $respuestaXajax;
		}
	else
		$respuestaXajax->alert("ERROR AL PROCESAR DATOS...!!!!!\n====================================\n".$varResul."\nVERIFIQUE LOS DATOS POR FAVOR");
		
	return $respuestaXajax;
	}
	
function xEliminar($varCod) {
	$var = VarServer("MYSQLI");
	$obj = new clsRegistroCambios($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varResul = $obj->ProcesoEliminar($varCod);	
	$respuestaXajax = new xajaxResponse();
	if ($varResul=="OK") {
		//$varTabla = $obj->FormuDetalle($varResul[1]);
		//$respuestaXajax = new xajaxResponse();
		//$respuestaXajax->assign("divForm", "innerHTML", $varTabla);
		$respuestaXajax->alert("COMPRA ANULADA CORRECTAMENTE");
		}
	else
		$respuestaXajax->alert("ERROR AL PROCESAR DATOS...!!!!!\n====================================\n".$varResul."\nVERIFIQUE LOS DATOS POR FAVOR");
		
	return $respuestaXajax;
	}

$xajax->register(XAJAX_FUNCTION, 'seleccionar_empresa');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_cliente');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_cliente_simple');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_ruta');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_vendedor');
$xajax->register(XAJAX_FUNCTION, 'ComboListaAgenciaPed');
$xajax->register(XAJAX_FUNCTION, 'ComboListaAlmacenAge');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_producto_venta');

$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xFormuRegistro');
$xajax->register(XAJAX_FUNCTION, 'xFormuDetalle');
$xajax->register(XAJAX_FUNCTION, 'xRegresar');
$xajax->register(XAJAX_FUNCTION, 'xGrabar');
$xajax->register(XAJAX_FUNCTION, 'xEliminar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');
$xajax->register(XAJAX_FUNCTION, 'xExportarDetalle');


$xajax->processRequest();
$xajax->printJavascript("../clases/xajax");

?>
<script language="javascript">		
	function xBuscarJS(varField, varOrder) {
		if (xajax.$("ecod").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN EMPRESA");  
			xajax.$("ecod").focus();
			return (false); 
			}
		else if (xajax.$("ccod").value=="" && xajax.$("vcod").value=="" && xajax.$("fini").value=="" && xajax.$("ffin").value=="" && xajax.$("rcod").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE UTILIZAR AL MENOS UN PARAMETRO DE BUSQUEDA");  
			xajax.$("pcod").focus();
			return (false); 
			}
		else {
			xajax_xBuscar(xajax.getFormValues('form'),varField, varOrder);		
			}
		}
	function xExportarJS() {
		if (xajax.$("ecod").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN EMPRESA");  
			xajax.$("ecod").focus();
			return (false); 
			}
		else if (xajax.$("ccod").value=="" && xajax.$("vcod").value=="" && xajax.$("fini").value=="" && xajax.$("ffin").value=="" && xajax.$("rcod").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE UTILIZAR AL MENOS UN PARAMETRO DE BUSQUEDA");  
			xajax.$("pcod").focus();
			return (false); 
			}
		else {
			xajax_xExportar(xajax.getFormValues('form'));
			}
		}
	function xExportarDetalleJS() {
		xajax_xExportarDetalle(xajax.getFormValues('form'));		
		}
	function xGrabarJS() {
		var msj_articulo="";
		var con1 = 0;
		var con2 = 0;
		var con3 = 0;
		var varPatronDoc = "^([0-9]{3})-([0-9]{7})$";
		var expreg = new RegExp (varPatronDoc);	
		var varNumItem = xajax.$('num');
		var flagItem = 0;
		
		var varCab = "!!!!!...ERROR AL PROCESAR DATOS...!!!!!\n=======================================\n";
		var varDet = "";
		
		for (i=1; i<=varNumItem.value;i++) {
			var varCodigo = document.getElementById('icod'+i);
			var varProduc = document.getElementById('inom'+i);
			var varStock  = document.getElementById('istk'+i);
			var varCant   = document.getElementById('ican'+i);		
			var varLote	  = document.getElementById('ilot'+i);		
			var varVenc   = document.getElementById('ifec'+i);	
			if(varCodigo) {
				flagItem++;
				
				if(varCodigo.value=="" && con1==0) {
					msj_articulo = "- FALTA SELECCIONAR ALGUN PRODUCTO\n";
					con1++;
					}
				if(parseFloat(varCant.value) <= 0  || varCant.value=='' && con1==0) {
					msj_articulo = msj_articulo + "- PRODUCTO : " + varCodigo.value + ' - ' + varProduc.value + ' -> DEBE INGRESAR UNA CANTIDAD\n';
					}
				
				if(parseFloat(varStock.value) <= 0 || varStock.value=='' && con1==0 ) {
					msj_articulo = msj_articulo + "- PRODUCTO : " + varCodigo.value + ' - ' + varProduc.value + ' -> NO CUENTA CON STOCK SUFICIENTE\n';
					}
				if(parseFloat(varStock.value) < parseFloat(varCant.value) ) {
					msj_articulo = msj_articulo + "- PRODUCTO : " + varCodigo.value + ' - ' + varProduc.value + ' -> NO CUENTA CON STOCK SUFICIENTE\n';
					}
				if(varLote.value=="" && con1==0) {
					msj_articulo = msj_articulo + "- PRODUCTO : " + varCodigo.value + ' - ' + varProduc.value + ' -> DEBE INGRESAR UN NRO. DE LOTE\n';
					}
				if(varVenc.value=="" && con1==0) {
					msj_articulo = msj_articulo + "- PRODUCTO : " + varCodigo.value + ' - ' + varProduc.value + ' -> DEBE INGRESAR UNA FECHA DE VENCIMIENTO\n';
					}	
				}
			}
		
		if (xajax.$("emp") && (xajax.$("emp").value=="Ninguno" || xajax.$("emp").value=="")) { 
			varDet = varDet + "- DEBE SELECCIONAR UNA EMPRESA VALIDA\n";
			}
		if (xajax.$("age") && (xajax.$("age").value=="Ninguno" || xajax.$("age").value=="")) { 
			varDet = varDet + "- DEBE SELECCIONAR UNA AGENCIA VALIDA\n";
			}
		if (xajax.$("alm") && (xajax.$("alm").value=="Ninguno" || xajax.$("alm").value=="")) { 
			varDet = varDet + "- DEBE SELECCIONAR UN ALMACEN VALIDO\n";
			}	
		if (xajax.$("tdcod") && (xajax.$("tdcod").value=="Ninguno" || xajax.$("tdcod").value=="")) { 
			varDet = varDet + "- DEBE SELECCIONAR UN TIPO DE DOCUMENTO VALIDO\n";
			}
		if (xajax.$("cond") && (xajax.$("cond").value=="Ninguno" || xajax.$("cond").value=="")) { 
			varDet = varDet + "- DEBE SELECCIONAR UNA CONDICION DE VENTA VALIDA\n";
			}		
		
		if (xajax.$("vcod") && (xajax.$("vcod").value=="")) { 
			varDet = varDet + "- DEBE SELECCIONAR UN VENDEDOR\n";
			}
		else if (xajax.$("vnom") && xajax.$("vnom").value=="NO EXISTE") { 
			varDet = varDet + "- EL VENDEDOR INGRESADO NO EXISTE, DEBE SELECCIONAR UN VENDEDOR VALIDO\n";
			}
		
		if (xajax.$("ccod") && xajax.$("ccod").value=="") { 
			varDet = varDet + "- DEBE SELECCIONAR UN CLIENTE\n";
			}
		else {
			if (xajax.$("cnom") && xajax.$("cnom").value=="NO EXISTE") { 
				varDet = varDet + "- EL CLIENTE INGRESADO NO EXISTE, DEBE SELECCIONAR UN CLIENTE VALIDO\n";
				}
			if (xajax.$("txtdir") && xajax.$("txtdir").value=="") { 
				varDet = varDet + "- EL CLIENTE SELECCIONADO, NO CUENTA UNA DIRECCION\n";
				}
			if (xajax.$("rcod") && xajax.$("rcod").value=="") { 
				varDet = varDet + "- EL CLIENTE SELECCIONADO, NO CUENTA CON RUTA DE DESPACHO VALIDA\n";
				}
			if (xajax.$("lcod") && xajax.$("lcod").value=="") { 
				varDet = varDet + "- EL CLIENTE SELECCIONADO, NO CUENTA CON UNA LISTA DE PRECIOS VALIDA\n";
				}	
			}
		if (xajax.$("num") && xajax.$("num").value=="0") { 
			varDet = varDet + "- NO INGRESO NINGUN ITEM A ESTE PEDIDO\n";
			}
		if (msj_articulo!="") {
			varDet = varDet + msj_articulo;
			}
		if (varDet!="") {
			alert (varCab + varDet);
			return false;
			}
		else {
			if (confirm("¿DESEA REGISTRAR EL PEDIDO DE CAMBIO DE MERCADERIA?")) {
				xajax_xGrabar(xajax.getFormValues('form'));		
				}
			}
		}
	
	function xEliminarJS(varCod, varEmi, varTipo, varDoc, varTab) {
		if(_confirm('&iquest;ESTA SEGURO DE ANULAR ESTA COMPRA?\n====================================\nFecha Emisión \t: '+varEmi+'\nTipo Doc. \t\t: '+varTipo+'\nDocumento \t\t: '+varDoc+'\nTENGA EN CUENTA QUE ESTE PROCESO ANULARA EL MOVIMIENTO QUE SE REALIZO EN EL ALMACEN')) {			
			xajax_xEliminar(varCod);
			EliminarFilaTabla(varTab)
			}
		}
		
	function FormuRegistroJS(varOpt, varCod) {
		UnTip();
		xajax_xFormuRegistro(varOpt, varCod);		
		}
	function FormuDetalleJS(varCod) {
		UnTip();
		var Ruta = 'print/print_detalle_pedido_cambio.php?ide='+varCod;
		testwindow= window.open (Ruta, "print_detalle_pedido_cambio", "location=no,status=no,toolbar=no,scrollbars=1,width=800,height=550");	
		}
</script>

<?php		
function MyTable($obj, $varTitulo, $Opcion, $Valor) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";
	//echo $obj->GridDatos();		
	echo "</div>";
	echo "</div>";
	
	$Link = $_SERVER['PHP_SELF'];
	$MyTabla = "_sv_venta";
	$myID = "id_venta";
	$varFINI = (isset($_POST["eini"]))?$_POST["eini"]:NULL;
	$varFFIN = (isset($_POST["efin"]))?$_POST["efin"]:NULL;
	$varCCOD = (isset($_POST["ccod"]))?$_POST["ccod"]:NULL;
	$varCNOM = (isset($_POST["cnom"]))?$_POST["cnom"]:NULL;
	$varVCOD = (isset($_POST["vcod"]))?$_POST["vcod"]:NULL;
	$varVNOM = (isset($_POST["vnom"]))?$_POST["vnom"]:NULL;
	?>
	<script language="javascript">
	function CalcularItem(i) {
		var varCant = 0;
		var varUnitario = 0;
		
		var vuni = document.getElementById('ipre['+i+']');
		var vcant = document.getElementById('ican['+i+']');	
		var vtot = document.getElementById('itot['+i+']');
		
		if (vuni.value=="") varUnitario = "0";
		else	varUnitario = vuni.value;
		
		if (vcant.value=="") varCant="0";
		else	varCant = vcant.value;
		

		var varTotal = parseFloat(varUnitario)*parseFloat(varCant);
		vtot.value = redondear(varTotal,2);
		CalculaRTotal();
		}
		
	function CalculaRTotal() {
		var form = document.getElementById('form');
		var sto = 0;
		for (i=0;i<form.elements.length;i++) {	
			var Campo = form.elements[i].name;		
			if(Campo.indexOf("itot")==0) {			
				if (form.elements[i].value!="") {				
					sto = sto + parseFloat(form.elements[i].value);		
					}
				}
			}
		var vtotal = document.getElementById('tot');
		vtotal.value = redondear(sto,2);
		}
		
	function restar() {
		var miTabla = document.getElementById("cuerpoTabla");
		var i = 0;
		do
			if (miTabla.rows[i].getElementsByTagName("input")[0].checked == true)
				miTabla.deleteRow(i);
			else
				i ++;
		while (miTabla.rows.length != i)
	}
	
	function DeleteRow(x) {
		while (x.tagName.toLowerCase() !='tr') {
			if(x.parentElement)
				x=x.parentElement;
			else if(x.parentNode)
				x=x.parentNode;
			else
			return;
			}
		var rowNum=x.rowIndex;
		while (x.tagName.toLowerCase() !='table') {
			if(x.parentElement)
				x=x.parentElement;
			else if(x.parentNode)
				x=x.parentNode;
			else
				return;
			}
		x.deleteRow(rowNum);
		CalculaRTotal();
		}
		
	function valida(e){
		tecla=(document.all) ? e.keyCode : e.which;
		if(tecla == 13)
		document.form.cond.focus();
		}
		
	
	function cargarProducto(ccod, cnom) {
		var Ruta = 'lista_producto.php?ccod='+ccod+'&cnom='+cnom;
		testwindow= window.open (Ruta, "mywindow",
		"location=1,status=1,scrollbars=1,width=600,height=600");
		}
		
	function select_producto(ide, varLista) {	
		var ccod1 = document.getElementById('icod['+ide+']');
		var cnom1 = document.getElementById('inom['+ide+']');
		var cuni1 = document.getElementById('ipre['+ide+']');
		var cstk1 = document.getElementById('istk['+ide+']');
		var cume1 = document.getElementById('iuni['+ide+']');
		
		var existe="NO";
		var form = document.getElementById('form');	
		if(ccod1=="") {
			ccod1.value = "";
			cnom1.value = "";
			cstk1.value = "";
			cume1.value = "";
			}
		else {		
			var dato = koolajax.callback(seleccionaProducto(ccod1.value, varLista));		
			if(dato=="NO EXISTE") {
				alert("PRODUCTO ESCRITO NO EXISTE...");
				ccod1.value = "";
				cnom1.value = dato;
				cuni1.value = "";
				cume1.value = "";
				ccod1.focus();
				}
			else {
				var myArray = dato.split('[[sep]]'); 			
				for (i=0;i<form.elements.length;i++) {
					var Campo = form.elements[i].name;		
					if(Campo.indexOf("icod")==0 && form.elements[i].value==ccod1.value && Campo != ccod1.name) {
						existe="SI";	
						}	
					}				
				if (existe=="SI") {
					ccod1.value = "";
					cnom1.value = "";
					cuni1.value = "";
					cume1.value = "";
					alert("EL producto : " + ccod1.value + "\n" + myArray[0] + "\nYA ESTA AGREGADO, SELECCIONE OTRO POR FAVOR");
					ccod1.focus();
					}
				else {
					
					cnom1.value = myArray[0];
					cume1.value = myArray[1];
					cstk1.value = myArray[3];
					cuni1.value = myArray[2];
					}
				}
			}
		}
		
	

function AnularVenta(varCod, varEmi, varDoc, varUrl) {		
	if(_confirm('&iquest;ESTA SEGURO DE ANULAR ESTA VENTA?\nFecha Emisión : '+varEmi+'\nDocumento : '+varDoc+'\nTENGA EN CUENTA QUE ESTE PROCESO REALIZARA LO SIGUIENTE:\n ANULARA EL MOVIMIENTO QUE SE REALIZO EN EL ALMACEN\n** ANULARA TODOS LOS PAGOS QUE SE HAYAN REALIZADO A ESTE DOCUMENTO EN LA CUENTA CORRIENTE DEL CLIENTE?')) {		
		var Ruta = varUrl+'?opt=ANUL&valor='+varCod;
		window.location.href = Ruta;	
		}
	}

function DetalleVenta(varCod, varEmi, varDoc, varUrl) {		
	var Ruta = varUrl+'?opt=VIEW&valor='+varCod;
	window.location.href = Ruta;
	}
</script>
	<?php
	if(!isset($Opcion)) {
		
		$varTabla=array("id"=>"tabla", "name"=>"table", "tamano"=>"420", "clase"=>"Formtitulo", "titulo"=>$varTitulo." - BUSQUEDA",
						"formu"=>array("id"=>"form", "name"=>"form", "metodo"=>"POST"),						
						"ocult"=>array(array("tipo"=>"oculto", "id"=>"titu", "name"=>"titu", "valor"=>$varTitulo),
									   array("tipo"=>"oculto", "id"=>"opt", "name"=>"opt", "valor"=>$Opcion)
									  ),
						"conte"=>array(array("titulo"=>"Cliente :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"text", "id"=>"ccod", "name"=>"ccod", "valor"=>$_POST["ccod"],
																					 "ancho"=>"50", "alinear"=>"center", 
																					 "keypress"=>"return SoloEnteros(event)",
																					 "blur"=>"xajax_seleccionar_cliente(this.value)", 
																					 "dclick"=>"fn_cargar_listado_cliente('ccod', 'cnom')"),
																			   array("tipo"=>"text", "id"=>"cnom", "name"=>"cnom", "valor"=>$_POST["cnom"], 
																					 "ancho"=>"250", "clase"=>"inputDisable", "locked"=>"SI")
																			   )
														 	)
											 ),
									   array("titulo"=>"Vendedor :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"text", "id"=>"vcod", "name"=>"vcod", "valor"=>$_POST["vcod"],
																					 "ancho"=>"50", "alinear"=>"center", 
																					 "keypress"=>"return SoloEnteros(event)",
																					 "blur"=>"xajax_seleccionar_vendedor(this.value)", 
																					 "dclick"=>"fn_cargar_listado_vendedor('vcod', 'vnom')"),
																			   array("tipo"=>"text", "id"=>"vnom", "name"=>"vnom", "valor"=>$_POST["vnom"], 
																					 "ancho"=>"250", "clase"=>"inputDisable", "locked"=>"SI")
																			   )
														 	)
											 ),	
									   array("titulo"=>"Tipo Doc. :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"text", "id"=>"tcod", "name"=>"tcod", "valor"=>$_POST["tcod"],
																					 "ancho"=>"50", "alinear"=>"center", 
																					 "keypress"=>"return SoloEnteros(event)",
																					 "blur"=>"xajax_seleccionar_tipo_docpago(this.value)", 
																					 "dclick"=>"fn_cargar_listado_tipo_docpago('tcod', 'tnom')"),
																			   array("tipo"=>"text", "id"=>"tnom", "name"=>"tnom", "valor"=>$_POST["tnom"], 
																					 "ancho"=>"250", "clase"=>"inputDisable", "locked"=>"SI")
																			   )
														 	)
											 ),								  
									   array("titulo"=>"Fecha Incial :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
											 "campo"=>array("tipo"=>"fecha", "id"=>"eini", "name"=>"eini", "alinear"=>"center","valor"=>$varFINI) ),
									   array("titulo"=>"Fecha Final :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
											 "campo"=>array("tipo"=>"fecha", "id"=>"efin", "name"=>"efin", "alinear"=>"center", "valor"=>$varFFIN) )									   
									   ),
						"boton"=>array(array("tipo"=>"submit", "id"=>"bcon", "name"=>"bcon", "ancho"=>"80", "alto"=>"22", "texto"=>"Consultar"),			  
									   array("tipo"=>"submit", "id"=>"bexp", "name"=>"bexp", "ancho"=>"80", "alto"=>"22", "texto"=>"Exportar"),
									   array("tipo"=>"button", "id"=>"bnew", "name"=>"bnew", "ancho"=>"80", "alto"=>"22", 
											 "texto"=>"Nueva Venta", "click"=>"location='$Link?opt=NEW'"),									)
						);
		//echo $obj->setTablaForm($varTabla);
		if(isset($_POST["bcon"])) {		
			$varFIni = ($_POST["eini"]=="") ? "NULL" : "'".FechaMySql($_POST["eini"])."'";
			$varFFin = ($_POST["efin"]=="") ? "NULL" : "'".FechaMySql($_POST["efin"])."'";
			$varClie = ($_POST["ccod"]=="") ? "NULL" : $_POST["ccod"];
			$varVend = ($_POST["vcod"]=="") ? "NULL" : $_POST["vcod"];			
			$varTipo = ($_POST["tcod"]=="") ? "NULL" : $_POST["tcod"];
			
			$sql = "call spQuery_Registro_Ventas($varClie, $varVend, $varTipo, $varFIni, $varFFin);";
			$varTabla=array("id"=>"theTable", "name"=>"theTable", "tamano"=>"1000", "sql_cab"=>$sql,	"pages"=>50,
							"conte"=>array(array("tamano"=>20, "titulo"=>"IDE", "alinear"=>"center"),
										   array("tamano"=>50, "titulo"=>"EMISION", "alinear"=>"center"),
										   array("tamano"=>80, "titulo"=>"DOCUMENTO", "funcion"=>array("contar")),
										   array("tamano"=>40, "titulo"=>"EST.", "alinear"=>"center"),
										   array("tamano"=>10, "titulo"=>"CTIP", "alinear"=>"center", "oculto"=>"SI"),
										   array("tamano"=>10, "titulo"=>"CCLI", "alinear"=>"center", "oculto"=>"SI"),
										   array("tamano"=>250,"titulo"=>"CLIENTE"),
										   array("tamano"=>10, "titulo"=>"CVEN", "alinear"=>"center", "oculto"=>"SI"),
										   array("tamano"=>250,"titulo"=>"VENDEDOR"),
										   array("tamano"=>10, "titulo"=>"CRUT", "alinear"=>"center", "oculto"=>"SI"),
										   array("tamano"=>250,"titulo"=>"RUTA"),
										   array("tamano"=>40, "titulo"=>"PEDIDO", "alinear"=>"center"),
										   array("tamano"=>40, "titulo"=>"GUIA", "alinear"=>"center"),
										   array("tamano"=>50, "titulo"=>"TOTAL", "alinear"=>"right", "autosuma"=>"SI"),
										   array("titulo"=>"FCREADO",  "ancho"=>"100", "oculto"=>"SI"),
										   array("titulo"=>"FUPDATE",  "ancho"=>"100", "oculto"=>"SI"),
										   array("titulo"=>"UCREADO",  "ancho"=>"50",  "alinear"=>"center"),
										   array("titulo"=>"UUPDATE",  "ancho"=>"50",  "oculto"=>"SI")
										   )
							);
			echo $obj->SetGridTabla($varTabla);
			}
		}
	elseif($Opcion=="NEW") {
		$sqldoc = "select id_tipo_doc, nombre from _sv_tipo_doc_venta where _estado='A' and id_tipo_doc =5;";
		$sqlcon = "select id_condicion, nombre from _sv_tipo_condicion where _estado='A' and id_condicion=1 order by id_condicion asc";
		$sqllis = "select id_lista, nombre from _sv_lista where _estado='A' order by id_lista";
		
		function sumaDia($fecha,$dia)
			{	list($year,$mon,$day) = explode('-',$fecha);
				return date('d/m/Y',mktime(0,0,0,$mon,$day+$dia,$year));		
			}
			 
		echo "<form id=\"form\" name=\"form\" method=\"POST\"  onSubmit=\"return validaRegistroProducto(this)\">";
		$varTabla=array("id"=>"tabla", "name"=>"table", "tamano"=>"450", "clase"=>"Formtitulo", "titulo"=>$varTitulo." - NUEVA VENTA",						
						"ocult"=>array(array("tipo"=>"oculto", "id"=>"titu", "name"=>"titu", "valor"=>$varTitulo),
									   array("tipo"=>"oculto", "id"=>"opt", "name"=>"opt", "valor"=>$Opcion),
									   array("tipo"=>"oculto", "id"=>"tdcod1", "name"=>"tdcod1", "valor"=>$_POST[tdcod1]),
									   array("tipo"=>"oculto", "id"=>"tdnam1", "name"=>"tdnam1", "valor"=>$_POST[tdnam1]),
									   array("tipo"=>"oculto", "id"=>"femi1", "name"=>"femi1", "valor"=>$_POST[femi1]),
									   array("tipo"=>"oculto", "id"=>"cond1", "name"=>"cond1", "valor"=>$_POST[cond1]),
									   array("tipo"=>"oculto", "id"=>"vcod1", "name"=>"vcod1", "valor"=>$_POST[vcod1]),
									   array("tipo"=>"oculto", "id"=>"ccod1", "name"=>"ccod1", "valor"=>$_POST[ccod1])
									  ),
						"conte"=>array(array("titulo"=>"Doc. Venta :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"select", "id"=>"tdcod", "name"=>"tdcod", 
																					 "valor"=>$_POST["tdcod"], "ancho"=>"100",
																					 "combo"=>array("sql"=>$sqldoc, "ancho"=>"140", 
																					 				"titulo"=>" --[[SELECCIONAR]]-- ", "sincod"=>"SI", 
																								    "reload"=>"xajax_seleccionarNroDocumento(this.value)"
																		   							)
																					 ),
																			   array("tipo"=>"text", "id"=>"tdnam", "name"=>"tdnam", "valor"=>$_POST["tdnam"], 
																					 "ancho"=>"160", "clase"=>"inputDisable", "locked"=>"SI")
																			   )
														 	)
											 ),
									   array("titulo"=>"Fecha Emisión :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
											 "campo"=>array("tipo"=>"fecha", "id"=>"femi", "name"=>"femi", "alinear"=>"center", 
															"valor"=>sumaDia(date( "Y-m-d",time()),1), "ancho"=>"90")),
									   array("titulo"=>"Condición :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										 "campo"=>array("tipo"=>"select", "id"=>"cond", "name"=>"cond", "valor"=>$_POST["cond"],
														"combo"=>array("sql"=>$sqlcon, "ancho"=>"200", "sincod"=>"SI"))),						   
									   array("titulo"=>"Vendedor :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"text", "id"=>"vcod", "name"=>"vcod", "valor"=>$_POST["vcod"],
																					 "ancho"=>"50", "alinear"=>"center", 
																					 "keypress"=>"return SoloEnteros(event)",
																					 "blur"=>"xajax_seleccionar_vendedor(this.value)", 
																					 "dclick"=>"fn_cargar_listado_vendedor('vcod', 'vnom')"),
																			   array("tipo"=>"text", "id"=>"vnom", "name"=>"vnom", "valor"=>$_POST["vnom"], 
																					 "ancho"=>"250", "clase"=>"inputDisable", "locked"=>"SI")
																			   )
														 	)
											 ),
									   array("titulo"=>"Número Pedido :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
											 "campo"=>array("tipo"=>"text", "id"=>"nped", "name"=>"nped", "valor"=>$_POST["nped"], "ancho"=>"135", 
											 				"alinear"=>"center" )),
									   array("titulo"=>"Glosa :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
											 "campo"=>array("tipo"=>"area", "id"=>"glo", "name"=>"glo", "ancho"=>"309", "alto"=>"50"))
									   )
						);
		echo $obj->setTablaForm($varTabla);
		
		
		$varTabla=array("id"=>"tabla_cli", "name"=>"table_cli", "tamano"=>"450", "clase"=>"Formtitulo", "titulo"=>"DATOS DEL CLIENTE",						
						"conte"=>array(array("titulo"=>"Cliente :", "clase1"=>"FormCampo1", "clase2"=>"interior", "tamano"=>"100",
											 "campo"=>array("tipo"=>"varios", 
															"contenido"=>array(array("tipo"=>"text", "id"=>"ccod", "name"=>"ccod", 
																					 "valor"=>$_POST["ccod"], "ancho"=>"55", "alinear"=>"center", 
																					 "keypress"=>"return SoloEnteros(event)",
																					 "blur"=>"xajax_seleccionar_cliente(this.value)", 
																					 "dclick"=>"fn_cargar_listado_cliente('ccod', 'cnom')"),
																			   array("tipo"=>"text", "id"=>"cnom", "name"=>"cnom", 
																			   		 "valor"=>$_POST["cnom"], 
																					 "ancho"=>"258", "clase"=>"inputDisable", "locked"=>"SI")
																			   )
														 	)
											 ),
									   array("titulo"=>"DNI / RUC :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"text", "id"=>"dni", "name"=>"dni", 
																					 "valor"=>$_POST["dni"], "ancho"=>"157", "alinear"=>"center", 
																					 "clase"=>"inputDisable", "locked"=>"SI"),
																			   array("tipo"=>"text", "id"=>"ruc", "name"=>"ruc", 
																			   		 "valor"=>$_POST["ruc"], "ancho"=>"157", "alinear"=>"center",
																					 "clase"=>"inputDisable", "locked"=>"SI")
																			   )
														 	)
											 ),
									   array("titulo"=>"Dirección :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
											 "campo"=>array("tipo"=>"text", "id"=>"txtdir", "name"=>"txtdir", "valor"=>$_POST["txtdir"], 
											 				"ancho"=>"320", "clase"=>"inputDisable", "locked"=>"SI")),
									   array("titulo"=>"Ruta :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"text", "id"=>"rcod", "name"=>"rcod", 
																					 "valor"=>$_POST["rcod"], "ancho"=>"55", "alinear"=>"center", 
																					 "clase"=>"inputDisable", "locked"=>"SI"),
																			   array("tipo"=>"text", "id"=>"rnom", "name"=>"rnom", 
																			   		 "valor"=>$_POST["rnom"], "ancho"=>"258", 
																					 "clase"=>"inputDisable", "locked"=>"SI")
																			   )
														 	)
											 ),
									   array("titulo"=>"Lista Precios :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"text", "id"=>"lcod", "name"=>"lcod", 
																					 "valor"=>$_POST["lcod"], "ancho"=>"55", "alinear"=>"center", 
																					 "clase"=>"inputDisable", "locked"=>"SI"),
																			   array("tipo"=>"text", "id"=>"lnom", "name"=>"lnom", 
																			   		 "valor"=>$_POST["lnom"], "ancho"=>"258", 
																					 "clase"=>"inputDisable", "locked"=>"SI")
																			   )
														 	)
											 )
									   ),
						"boton"=>array(array("tipo"=>"button", "id"=>"btadd", "name"=>"btadd", "ancho"=>"120", "alto"=>"22", 
											 "texto"=>"Agregar Producto", "click"=>"addProductoVenta()"),
									   array("tipo"=>"button", "id"=>"breg", "name"=>"breg", "ancho"=>"80", "alto"=>"22", 
											 "texto"=>"Regresar", "click"=>"location='$Link'")
									   )
						);
		echo $obj->setTablaForm($varTabla);
		
		
		echo "<br>";
		echo "<table id=\"tblSample\" style=\"padding:0;margin-top:0px;border-collapse:collapse;\" ";
		echo "width=680 align=center cellpadding=0 cellspacing=0>";
		echo "<tr>";
		echo "<td class=\"FormCampo2\" width=\"90\">Codigo";
		echo "<input name=\"num\" type=\"hidden\" class=\"input\" id=\"num\" value=\"0\"/>";
		echo "</td>";	
		echo "<td class=\"FormCampo2\" width=\"300\">Descripcion</td>";
		echo "<td class=\"FormCampo2\" width=\"50\">UM Venta</td>";
		echo "<td class=\"FormCampo2\" width=\"50\">Stock</td>";
		echo "<td class=\"FormCampo2\" width=\"50\">Precio</td>";
		echo "<td class=\"FormCampo2\" width=\"50\">Cantidad</td>";
		echo "<td class=\"FormCampo2\" width=\"50\">Total</td>";
		echo "<td class=\"FormCampo2\" width=\"10\"></td>";
		echo "</tr>";
		echo "<tbody id=cuerpoTabla>";
		echo "</tbody>";
		echo "<tr>";
		echo "<td height=19 class=\"interior\" colspan=6 align=\"right\"><b>Total :</b></td>";	
		echo "<td align=\"left\" class=\"interior\">";
		echo "<input name='tot' id='tot' type='text' class='inputDisable' readonly style='text-align:right;width:50px' value=0 />";
		echo "</td>";
		echo "</tr>";
		echo "<tr>";
		echo "<td height=25 colspan=10 valign=top aling=\"center\" class=\"Formtitulo\">";	
		echo "<input id=\"save\" name=\"save\" type=\"submit\" style=\"width:150px; ";
		echo "height:22px; font-size:10px; \" value=\"Registrar Documento\" onClick=\"return confirm('¿DESEA GUARDAR EL MOVIMIENTO?')\" >";
		echo "</td>";
		echo "</tr>";
		echo "</table>";	
		echo "</form>";		
		}
	elseif($Opcion=="VIEW") {
		$sql = "CALL spQuery_Registro_Ventas_Detalle($Valor)";
		$obj->AbrirConexion();
		$rs = $obj->Query($sql);
		$obj->CerrarConexion();
		$Fila = $obj->FetchArray($rs);		
		$varTabla=array("id"=>"tabla", "name"=>"table", "tamano"=>"400", "clase"=>"Formtitulo", "titulo"=>$varTitulo." - DETALLE",
						"formu"=>array("id"=>"form", "name"=>"form", "metodo"=>"POST"),						
						"ocult"=>array(array("tipo"=>"oculto", "id"=>"titu", "name"=>"titu", "valor"=>$varTitulo),
									   array("tipo"=>"oculto", "id"=>"opt", "name"=>"opt", "valor"=>$Opcion)
									  ),
						"conte"=>array(array("titulo"=>"Fecha Emision :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
											 "texto"=>$Fila["EMISION"], "tamano"=>"100"),
									   array("titulo"=>"Tipo Documento :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
									   		 "texto"=>$Fila["CTIP"]),
									   array("titulo"=>"Nro Documento :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["NDOC"]),
									   array("titulo"=>"Cliente :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["CCLI"].' - '.$Fila["CLIENTE"]),
									   array("titulo"=>"Vendedor :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["CVEN"].' - '.$Fila["VENDEDOR"]),
									   array("titulo"=>"Condición Venta :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["CCON"].' - '.$Fila["CONDICION"]),
									   array("titulo"=>"Monto :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>number_format($Fila["TOTAL"], 2,'.',',')),
									   array("titulo"=>"Pagos a Cuenta :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>number_format($Fila["PAGOS"], 2,'.',',')),
									   array("titulo"=>"Saldo :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>number_format($Fila["SALDO"], 2,'.',',')),
									   array("titulo"=>"Estado :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["ESTADO"]),
									   array("titulo"=>"U/F Creado :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["USER_CREATE"]." / ".$Fila["DATE_CREATE"]),
									   array("titulo"=>"U/F Modificado :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["USER_UPDATE"]." / ".$Fila["DATE_UPDATE"]),
									   array("titulo"=>"Nro. Pedido :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["PEDIDO"]),
									   array("titulo"=>"Glosa :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["GLOSA"])
									   ),
						"boton"=>array(array("tipo"=>"button", "id"=>"breg", "name"=>"breg", "ancho"=>"80", "alto"=>"22", 
											 "texto"=>"Regresar", "click"=>"location='$Link'"),
									   array("tipo"=>"button", "id"=>"bimp", "name"=>"bimp", "ancho"=>"80", "alto"=>"22", 
									   		 "texto"=>"Imprimir", "click"=>"javascript:ImprimirDoc($Valor,$Fila[CTIPD])"),
									   array("tipo"=>"button", "id"=>"bnew", "name"=>"bnew", "ancho"=>"80", "alto"=>"22", 
											 "texto"=>"Nueva Venta", "click"=>"location='$Link?opt=NEW'"),
									)
						);
		echo $obj->setTablaForm($varTabla);
		$sql = "select D.id_producto AS CPRO, A.descripcion AS PRODUCTO, D.id_um as UM, D.PRECIO, 
				D.CANTIDAD,
				D.TOTAL
				from _sv_venta_detalle D
				inner join _sv_producto A ON D.id_producto = A.id_producto
				where D.id_venta=$Valor";
		$rs_cab = array(array("tamano"=>50, "titulo"=>"CITEM", "Negrita"=>"SI", "Alinear"=>"center"),
						array("tamano"=>350, "titulo"=>"NOMBRE DE PRODUCTO"),
						array("tamano"=>50, "titulo"=>"UM", "Alinear"=>"center"),
						array("tamano"=>60, "titulo"=>"PRECIO", "Alinear"=>"right"),
						array("tamano"=>70, "titulo"=>"CANTIDAD", "Alinear"=>"right"),
						array("tamano"=>70, "titulo"=>"IMPORTE", "Alinear"=>"right")
						);
		echo $obj->SetGrid(600,$rs_cab,$sql,NULL,4, NULL, "SI"); 
		}
	if(isset($_POST["save"])) {
		$Link = $_SERVER['PHP_SELF'];
		$var = VarServer("MYSQLI");
		$obj = new clsConexion($var[0],$var[1],$var[2],$var[3],$var[4]);
		$varUsr = (isset($_SESSION["_CUSE"]))  ? $_SESSION["_CUSE"] : "1";
		$vnum = $_POST["num"];
		$varEmi = "'".FechaMySql($_POST["femi1"])."'";
		$varTip = (isset($_POST["tdcod1"]) && $_POST["tdcod1"]<>"")?$_POST[tdcod1]:"NULL";
		$varDoc = (isset($_POST["tdnam1"]) && $_POST["tdnam1"]<>"")?"'".$_POST[tdnam1]."'":"NULL";
		$varCli = (isset($_POST["ccod1"]) && $_POST["ccod1"]<>"")?$_POST[ccod1]:"NULL";
		
		$varRut = (isset($_POST["rcod"]) && $_POST["rcod"]<>"")?$_POST["rcod"]:"0";
		$varLis = (isset($_POST["lcod"]) && $_POST["lcod"]<>"")?$_POST["lcod"]:"0";
		
		$varCon = (isset($_POST["cond1"]) && $_POST["cond1"]<>"")?$_POST[cond1]:"NULL";
		$varVen = (isset($_POST["vcod1"]) && $_POST["vcod1"]<>"")?$_POST[vcod1]:0;

		$varPed = (isset($_POST["nped"]) && $_POST["nped"]<>"")?"'".$_POST[nped]."'":"NULL";
		$varGlo = (isset($_POST["glos"]) && $_POST["glos"]<>"")?"'".$_POST[glos]."'":"NULL";
		$varTot = $_POST["tot"];
		$varLoc = 1;		
		$sql = "call spMante_Venta_Cab($varLoc, $varTip, $varDoc, $varCon, $varEmi, $varCli, $varRut, $varLis, $varVen, $varPed, $varGlo, $varTot, $varUsr)";	
		$obj->AbrirConexion();
		$rs = $obj->Query($sql);
		$obj->CerrarConexion();
		$Fila = $obj->FetchArray($rs);
		$NumVenta = $Fila[0];
		for($i=1; $i<=$vnum; $i++) {	
			$varCod = str_pad($_POST["icod"][$i],6,"0",STR_PAD_LEFT);
			$varPre = (isset($_POST["ipre"][$i]) && $_POST["ipre"][$i]<>"")?$_POST["ipre"][$i]:0;			
			$varCan = (isset($_POST["ican"][$i]) && $_POST["ican"][$i]<>"")?$_POST["ican"][$i]:0;
			$varUni = (isset($_POST["iuni"][$i]) && $_POST["iuni"][$i]<>"")?"'".$_POST["iuni"][$i]."'":"NULL";
			
			$sql = "call spMante_Venta_Det($NumVenta, '$varCod', $varLoc, $varCan, $varPre, $varUni, $varEmi, $varUsr);";	
			$obj->AbrirConexion();
			$rs = $obj->Query($sql);
			$obj->CerrarConexion();
			}				
		$sql = "call spMante_Venta_Update($NumVenta);";	
		$obj->AbrirConexion();
		$rs = $obj->Query($sql);
		$obj->CerrarConexion();
		$varRuta = $Link."?opt=VIEW&valor=".$NumVenta;
		echo "<script language='Javascript'>";
		echo "window.location='$varRuta'";
		echo "</script>\n";
		}
	} 
?>